Subject: Re: bug#49204: 28.0.50; How to create new file in project by project-find-file

From: Giáp Trần <[email-masked]>
Date: Mon, 28 Jun 2021 09:07:39 +0700

Hi Dmitry Gutov,

> That said, if you can describe the desired behavior, I could live with a
> user option. Bonus points for submitting a patch.

I have some cases as below:
1. I'm working on project A, and I believe I can find a file-b in
project B/src/test. Then I switch project by project-switch-project
and using project-find-file to lookup him, but I'm not lucky the
file-b is not existed in project-B/src/test so I want to create this
file now without exit project-find-file
2. I want to use project-find-file to create a new file because I have
an overview of all subfolder levels in all folders. With find-file I
don't have this overview
These are normal case occur everyday on me.

Thanks,

On Sun, Jun 27, 2021 at 7:07 AM Dmitry Gutov <[email-masked]> wrote:
>
> Hi!
>
> On 24.06.2021 10:17, Giáp Trần wrote:
>
> > I'm trying to migrate from projectile package to project(0.6.0). That
> > is amazing.
> >
> > Today I see I can
> > not create a new file by using `project-find-file.
> >
> > I wish we can create a new file with `project-find-file when the file is
> > not in candidates as `find-file function do.
>
> Any particular reason you'd want to do that? Do you want to bind this
> command to `C-x C-f` instead of `find-file`?
>
> I've always figured we need the existing binding for a lot of cases
> anyway: it's often faster than project-find-file, and it's easier to use
> to create a file in the current directory (or nearby). There could be no
> current project (project-find-file will then ask you to choose one, and
> that's a nuisance).
>
> And having the REQUIRE-MATCH behavior is nice to avoid typos.
>
> That said, if you can describe the desired behavior, I could live with a
> user option. Bonus points for submitting a patch.